/***************************************************************************
 *   Copyright (C) 2007 by Anatoliy Larin   *
 *   _junk@mail.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qapplication.h>
#include "wgl.h"
#include "wgui.h"

int main(int argc, char *argv[])
{

  QApplication app(argc,argv);
  
  QWidget* wmain = new QWidget();
  wmain->setFixedSize(1000,800);

  wGL* wgl = new wGL(wmain);
  wgl->setFixedSize(800,800);
  WGUI* wgui = new WGUI(wmain);
  wgui->move(800,0);

  app.connect(wgui, SIGNAL(changeDepth(const unsigned char)), wgl, SLOT(setMaxDepth(const unsigned char)));
  app.connect(wgui, SIGNAL(changeFill(const bool)), wgl, SLOT(setFill(const bool)));
  app.connect(wgui, SIGNAL(changeColoredDepth(const bool)), wgl, SLOT(setColoredDepth(const bool)));
  app.connect(wgui, SIGNAL(changeColor(const QColor)), wgl, SLOT(setBaseColor(const QColor)));
  app.setMainWidget(wmain);
  wmain->show();
  return app.exec();
}
